var websocket = null;
var lockReconnect = false;  //避免ws重复连接
var lockReconnectNum = 0;  //重复连接次数
/**
 * 创建一个 websocket 连接
 */
function createWebSocket() {
	var wsUrl = ws_url+'/'+getUserLocalStorage().driver_id;
	websocket = new WebSocket(wsUrl);
	//连接成功建立的回调方法
	websocket.onopen = function() {
		lockReconnectNum = 0; //连接成功  将标志位重置为0
		//WebSocket连接成功
		websocket.send("ping");
	}

	//接收到消息的回调方法
	websocket.onmessage = function(event) {
		if(event.data == getUserLocalStorage().romData){
			websocket.send("ping");
		}else{
			toLogin();
		}
		
	}

	//连接发生错误的回调方法
	websocket.onerror = function() {
		websocket.close();
	};


	//连接关闭的回调方法
	websocket.onclose = function() {
		websocket.close();
	}


	//监听窗口关闭事件，当窗口关闭时，主动去关闭websocket连接，防止连接还没断开就关闭窗口，server端会抛异常。
	window.onbeforeunload = function() {
		websocket.close();
	}
}




/**
 * 接受服务器 返回回来的数据进行显示
 * @param {Object} innerData
 */
function setMessageInnerData(innerData) {
	websocket.send(getUserLocalStorage().user_id);
}

